Package org.gitana.platform.client.webhost

# Class DeployedApplicationImpl

java.lang.Object
org.gitana.platform.support.GitanaObjectImpl
org.gitana.platform.client.document.DocumentImpl
org.gitana.platform.client.platform.AbstractPlatformDocumentImpl
org.gitana.platform.client.webhost.AbstractWebHostDocumentImpl
org.gitana.platform.client.webhost.DeployedApplicationImpl

All Implemented Interfaces:
  `Serializable`, `Document`, `PlatformDocument`, `Copyable`, `Referenceable`, `Selfable`, `TitleDescription`, `Transferable`, `TypedID`, `DeployedApplication`, `WebHostDocument`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`

public class DeployedApplicationImpl extends AbstractWebHostDocumentImpl implements DeployedApplication

Author:
  uzi
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.gitana.platform.support.GitanaObjectImpl

`serialVersionUID`

### Fields inherited from interface org.gitana.platform.client.webhost.DeployedApplication

`FIELD_APPLICATION_ID, FIELD_DEPLOYMENT_DOMAIN, FIELD_DEPLOYMENT_KEY, FIELD_DEPLOYMENT_SUBDOMAIN, FIELD_DEPLOYMENT_WEBHOST, FIELD_URLS`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`DeployedApplicationImpl(WebHost webhost, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Method Summary

Modifier and Type
Method
Description
`void`
`delete()`
Delete
`boolean`
`equals(Object object)`
`String`
`getApplicationId()`
`String`
`getDeploymentDomain()`
`String`
`getDeploymentKey()`
`String`
`getDeploymentSubdomain()`
`String`
`getDeploymentWebhost()`
`String`
`getResourceUri()`
`String`
`getTypeId()`
`List<String>`
`getUrls()`
`void`
`redeploy()`
`void`
`reload()`
Reload
`void`
`restart()`
`void`
`setApplicationId(String applicationId)`
`void`
`setDeploymentDomain(String deploymentDomain)`
`void`
`setDeploymentKey(String deploymentKey)`
`void`
`setDeploymentSubdomain(String deploymentSubdomain)`
`void`
`setDeploymentWebhost(String deploymentWebhost)`
`void`
`setUrls(List<String> urls)`
`void`
`start()`
`void`
`stop()`
`void`
`undeploy()`
`void`
`update()`
Update

### Methods inherited from class org.gitana.platform.client.webhost.AbstractWebHostDocumentImpl

`getWebHost, getWebHostId, ref`

### Methods inherited from class org.gitana.platform.client.platform.AbstractPlatformDocumentImpl

`copy, copy, copyAsync, copyAsync, exportArchive, exportArchive, exportArchive, getCluster, getDriver, getFactory, getPlatform, getPlatformId, getRemote, importArchive, importArchive, importArchive`

### Methods inherited from class org.gitana.platform.client.document.DocumentImpl

`dateCreated, dateModified, getCreatedBy, getDescription, getId, getModifiedBy, getSystemObject, getTitle, isSaved, mergeProperties, mergePropertyIfExists, reload, reload, setDescription, setId, setSaved, setTitle`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetFloat, _objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatformId`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId`

### Methods inherited from interface org.gitana.platform.client.webhost.WebHostDocument

`getPlatform, getWebHost, getWebHostId`

## Constructor Details

### DeployedApplicationImpl

public DeployedApplicationImpl(WebHost webhost, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)

## Method Details

### getTypeId

public String getTypeId()

Specified by:
  `getTypeId` in interface `TypedID`

### getResourceUri

public String getResourceUri()

Specified by:
  `getResourceUri` in class `AbstractPlatformDocumentImpl`

### equals

public boolean equals(Object object)

Overrides:
  `equals` in class `Object`

### update

public void update()
Description copied from interface: `Selfable`
Update

Specified by:
  `update` in interface `Selfable`

### delete

public void delete()
Description copied from interface: `Selfable`
Delete

Specified by:
  `delete` in interface `Selfable`

### reload

public void reload()
Description copied from interface: `Selfable`
Reload

Specified by:
  `reload` in interface `Selfable`

### getApplicationId

public String getApplicationId()

Specified by:
  `getApplicationId` in interface `DeployedApplication`

### setApplicationId

public void setApplicationId(String applicationId)

Specified by:
  `setApplicationId` in interface `DeployedApplication`

### getDeploymentKey

public String getDeploymentKey()

Specified by:
  `getDeploymentKey` in interface `DeployedApplication`

### setDeploymentKey

public void setDeploymentKey(String deploymentKey)

Specified by:
  `setDeploymentKey` in interface `DeployedApplication`

### getDeploymentWebhost

public String getDeploymentWebhost()

Specified by:
  `getDeploymentWebhost` in interface `DeployedApplication`

### setDeploymentWebhost

public void setDeploymentWebhost(String deploymentWebhost)

Specified by:
  `setDeploymentWebhost` in interface `DeployedApplication`

### getDeploymentSubdomain

public String getDeploymentSubdomain()

Specified by:
  `getDeploymentSubdomain` in interface `DeployedApplication`

### setDeploymentSubdomain

public void setDeploymentSubdomain(String deploymentSubdomain)

Specified by:
  `setDeploymentSubdomain` in interface `DeployedApplication`

### getDeploymentDomain

public String getDeploymentDomain()

Specified by:
  `getDeploymentDomain` in interface `DeployedApplication`

### setDeploymentDomain

public void setDeploymentDomain(String deploymentDomain)

Specified by:
  `setDeploymentDomain` in interface `DeployedApplication`

### getUrls

public List<String> getUrls()

Specified by:
  `getUrls` in interface `DeployedApplication`

### setUrls

public void setUrls(List<String> urls)

Specified by:
  `setUrls` in interface `DeployedApplication`

### undeploy

public void undeploy()

Specified by:
  `undeploy` in interface `DeployedApplication`

### redeploy

public void redeploy()

Specified by:
  `redeploy` in interface `DeployedApplication`

### start

public void start()

Specified by:
  `start` in interface `DeployedApplication`

### stop

public void stop()

Specified by:
  `stop` in interface `DeployedApplication`

### restart

public void restart()

Specified by:
  `restart` in interface `DeployedApplication`